<template lang="html">
  <div class="ui-signin-close-button">
    <button @click="off" type="button" name="button"></button>
  </div>
</template>

<script>
export default {
  methods: {
    off () {
        this.$modal.hide('signin-modal');
        this.$modal.hide('signup-modal');
        this.$modal.hide('account-modal');
    }
  }
}
</script>

<style lang="scss" scoped>

  .ui-signin-close-button {
    width: 80px;
    height: 55px;
    background-image: url(../../assets/img/home/close_button.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;

    transition: .3s all ease;


    button {
      cursor: pointer;
      outline: none;
      width: 100%;
      height: 100%;
      background: transparent;
      border: none;
    }
  }

  .ui-signin-close-button:hover {
    background-image: url(../../assets/img/home/close-button-hover.svg);

    transition: .3s all ease;
  }

</style>
